gnutls_x509_trust_list_verify_named_crt(3)

NAME
gnutls_x509_trust_list_verify_named_crt - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_verify_named_crt(gnutls_x509_trust_list_t list, gnutls_x509_crt_t cert, const void * name, size_t name_size, unsigned int flags, unsigned int * verify, gnutls_verify_output_function func);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

gnutls_x509_crt_t cert
    is the certificate to be verified

const void * name
    is the certificate's name

size_t name_size
    is the certificate's name size

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

unsigned int * verify
    will hold the certificate verification output.

gnutls_verify_output_function func
    If non-null will be called on each chain element verification with the output.

DESCRIPTION
This function will try to find a matching named certificate. If a match is found the certificate is considered valid. In addition to that this function will also check CRLs.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.